summary refs log tree commit diff
path: root/pkgs/games/factorio
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/games/factorio')
-rw-r--r--pkgs/games/factorio/fetch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/pkgs/games/factorio/fetch.sh b/pkgs/games/factorio/fetch.sh
index 30d9c9fdefe..312dc9b6d61 100644
--- a/pkgs/games/factorio/fetch.sh
+++ b/pkgs/games/factorio/fetch.sh
@@ -33,7 +33,7 @@ $curl --data-urlencode csrf_token="$csrf" \
 
 if grep -q 'Location: https://' headers; then
     # Now download. We need --insecure for this, but the sha256 should cover us.
-    $curl --insecure --location $url > $out
+    $curl --insecure --location --fail $url > $out || { echo "Login succeeded, but subsequent fetch failed."; exit 1; }
     set +x
 else
     set +x